Subject: Re: [PATCH] 2.6.25-rc4 de_stop_rxtx polling wrong

From: Jeff Garzik <[email-masked]>
Date: Fri, 28 Mar 2008 18:02:47 -0400

Grant Grundler wrote:
> On Mon, Mar 17, 2008 at 08:13:19AM -0400, Jeff Garzik wrote:
>> Grant Grundler wrote:
>>> Jeff,
>>> This untested patch _should_ fix:
>>> 	"(net de2104x) Kernel panic with de2104x tulip driver on boot"	
>>> 	http://bugzilla.kernel.org/show_bug.cgi?id=3156
>>> But the bug submitter isn't responding.  Same fix has been applied
>>> to tulip.c (several years ago) and uli526x.c (Feb 2008) drivers.
>>> Patch was originally against 2.6.23 but applies clean against 2.6.25-rc4.
>>> [ The panic reported in the bug report was removed in a recently
>>>   (march 2008) accepted patch from Ondrej Zary. ]
>>> Signed-off-by: Grant Grundler <[email-masked]>
>> applied
> 
> Thanks!
> 
>> Please include comments like "Jeff," and "Patch was originally[...]" after 
>> the "---" separator, so that the automated tools may omit these comments 
>> without human intervention.
> 
> Which separator is that? I didn't explicitly add one unless you are
> referring to the patch itself.

See #14 of Documentation/SubmittingPatches.

Basically, anything after "---" in the email body (except for the patch 
content itself) is intentionally ignored -- and thus is used for 
comments like "Jeff, quit sitting on your ass and apply this damned 
patch" that are relevant but do not belong in the permanent kernel history.

> Or tell me which automated tool you are using and I'd be happy to
> figure out how to seperate logistical comments from what should
> go in the "change log" (ie land in git history).

git-am, Linus's tool that many of us git'ers use for importing patches 
from email.

	Jeff